# Username is syntactically invalid.
class InvalidUserError < StandardError
end

# Domain is syntactically invalid.
class InvalidDomainError < StandardError
end


# Used to indicate that an user does not exist.
class NonexistentUserError < StandardError
end

# Used to indicate that a domain does not exist.
class NonexistentDomainError < StandardError
end


# When you try to rename a user on top of one that already exists.
class UserAlreadyExistsError < StandardError
end
